#!/bin/bash

if [ ! -d $PREPARE_SDCARD_GSDL3HOME ] ; then
  # First time install has been run => do a full copy
  mode="Installing"

else
  # Only need to regenerate 'lib' folder
  mode="Updating"
fi

echo "#---"
echo "# $mode $GSDL3HOME -> $PREPARE_SDCARD_GSDL3HOME"
echo "# (this may take several minutes)"
echo "#---"
echo ""

if [ $mode = "Installing" ] ; then
  (cd $GSDL3HOME && find . -type d ) \
    | egrep -v '/\.svn' \
    | egrep -v 'sites/' \
    | egrep -v 'WEB-INF/classes' \
    | egrep -v 'WEB-INF/lib' \
    | xargs -I {} mkdir -p $PREPARE_SDCARD_GSDL3HOME/{}
fi

(cd $GSDL3HOME && find . -type f ) \
  | egrep -v '/\.svn' \
  | egrep -v 'sites/' \
  | egrep -v 'WEB-INF/classes' \
  | egrep -v 'WEB-INF/lib' \
  | xargs -I {} /bin/cp -u -v $GSDL3HOME/{} $PREPARE_SDCARD_GSDL3HOME/{}

/bin/cp resources/index.html $PREPARE_SDCARD_GSDL3HOME/.
/bin/cp resources/web.xml $PREPARE_SDCARD_GSDL3HOME/WEB-INF/.

if [ ! -d $PREPARE_SDCARD_GSDL3HOME/sites/localsite ] ; then
  echo "Creating 'localsite' in $PREPARE_SDCARD_GSDLHOME"
  mkdir $PREPARE_SDCARD_GSDL3HOME/sites/localsite
  mkdir $PREPARE_SDCARD_GSDL3HOME/sites/localsite/collect
fi

/bin/cp -u -v $GSDL3HOME/sites/localsite/siteConfig.xml $PREPARE_SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/etc $PREPARE_SDCARD_GSDL3HOME/sites/localsite/.

/bin/cp -u -v -r $GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo $PREPARE_SDCARD_GSDL3HOME/sites/localsite/collect/.

echo "Removing .svn folders from copied 'lucene-jdbm-demo' collection"
find $PREPARE_SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo \
 -type d -name ".svn" -exec /bin/rm -rf {} \; -print

if [ ! -d $PREPARE_SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo/index ] ; then
  pushd $PREPARE_SDCARD_GSDL3HOME/sites/localsite/collect/lucene-jdbm-demo
  unzip index.zip
  popd
fi

echo ""
echo "####"
echo "# If not already done so, run: "
echo "#   ./JAVA-TO-DEX.sh"
echo "# to cross-compile the Greenstone code and supporting JAR files" 
echo "####"
echo ""



